1. Payin
Pinddpay
  • Guides
    • Integration Instructions
    • Signature
  • Payin
    • Create order session
      POST
    • Create a transaction
      POST
    • Query a transaction
      GET
    • Webhook
  • Payout
    • Create a payout
      POST
    • Query balance
      GET
    • Webhook
  • Subscription
    • Card
      • Cancel subscription
      • Webhook
  • Other
    • Enums
    • Test cards
  1. Payin

Webhook

Webhook
POST
Checkout

1.How to signature#

Signature Algorithm#

MD5
32-bit
Uppercase

Signature content#

Before encryptionAfter encryption
Example123456E10ADC3949BA59ABBE56E057F20F883E

2.How to Respond#

After receiving the request, please respond with status code 200. After pinddpay receives a response with status code 200, it believes that the other party has successfully received the callback.

请求参数

Header 参数

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://your-api-server.com' \
--header 'sign-token;'

返回响应

🟢200成功
application/json
Bodyapplication/json

示例
{
    "eventId": "string",
    "eventAt": "string",
    "eventName": "order.created",
    "appId": "string",
    "order": {
        "id": "string",
        "merchantOrderNo": "string",
        "email": "string",
        "amount": "string",
        "quantity": "string",
        "tradeNo": "string",
        "currency": "string",
        "country": "string",
        "status": "string",
        "statusEn": "created",
        "paymentMethod": "string",
        "rate": 0
    },
    "transaction": {
        "tradeNo": "string",
        "capturedAmount": "string",
        "currency": "string",
        "error": {
            "code": "string",
            "message": "string"
        }
    },
    "dispute": {
        "id": "string",
        "reason": "string",
        "disputeAt": "string",
        "status": "string"
    },
    "refund": {
        "id": "string",
        "refundAmount": "string",
        "currency": "string",
        "refundAt": "string"
    }
}
修改于 2025-10-01 09:17:21
上一页
Query a transaction
下一页
Create a payout
Built with